[blfs-book] [BLFS Trac] #4553: qemu-1.7.0 won't build with libcap-2.24

BLFS Trac trac at linuxfromscratch.org
Sun Jan 19 12:28:51 PST 2014


#4553: qemu-1.7.0 won't build with libcap-2.24
----------------------+-----------------------
 Reporter:  wblaszcz  |       Owner:  fo
     Type:  defect    |      Status:  assigned
 Priority:  normal    |   Milestone:  current
Component:  BOOK      |     Version:  SVN
 Severity:  normal    |  Resolution:
 Keywords:            |
----------------------+-----------------------
Changes (by fo):

 * owner:  blfs-book@… => fo
 * status:  new => assigned


Comment:

 Wayne, have never built qemu. To do it, needed to recompile the kernel in
 my host. Then, there was a new Nvidia driver, a new VMPlayer, and only
 today I got courage to do it all and at the same time use the occasion to
 update the kernel.

 This host is LFS7.1,not 7.4.

 Apparently it is a problem that could affect other packages, and has to
 do, believe me, with the order in which the headers are placed:

 [https://bugs.archlinux.org/task/38387]

 Solved, by moving the header position with:


 {{{
       sed -e '/#include <sys\/capability.h>/ d' \
           -e '/#include "virtio-9p-marshal.h"/ i#include
 <sys\/capability.h>' \
           -i fsdev/virtfs-proxy-helper.c
 }}}

 I will fix the book immediately, but would be much grateful if you could
 confirm that it indeed solves your problem.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/4553#comment:1>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list